#include<iostream>
using namespace std;

int main(){
   long long n,mx=0,pyti=1;
   cin>>n;
   long long x[n],y[n],int1,int2;
   cin>>x[0]>>y[0];
   int1=x[0];
   int2=y[0];
   for(int i=1;i<n;i++){
     cin>>x[i]>>y[i];
     if(int1>x[i])  int1=x[i];
     if(int2<y[i])  int2=y[i];
   }
   long long br;
   for(int i=int1;i<=int2;i++){
      br=0;
      for(int j=0;j<n;j++){
            if(i>=x[j] && i<y[j]){
                br++;
            }
      }
      if(br>mx){
        mx=br;
        pyti=1;
      }else{
        if(br==mx)
            pyti++;
      }
   }
   cout<<mx<<endl<<pyti<<endl;
return 0;
}
